#ifndef _OVEN_HPP_
#define _OVEN_HPP_

class Oven
{
	public:

		// has a sensor, air circulation  and has a heater

		Oven();

		void setHeaterDutyCycle();
		void turnOnHeater();
		void turnOffHeater();
		float getTemperature_C();

		void turnOnAirCirculation();
		void turnOffAirCirculation();

		void turnEverythingOff();
	private:

};

#endif // _OVEN_HPP_
